=== doc/CMakeLists.txt ===
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(de)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(en)
