=== debian/watch ===
version=3
http://download.kde.org/stable/kdesvn/([\d.]+)/kdesvn-([\d.]+).tar.xz
