=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,11 @@
  #   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
  ####
 
+include(ECMMarkNonGuiExecutable)
+include(ECMAddAppIcon)
+
 add_executable(kdesvnaskpass askpass/kdesvn-askpass.cpp)
+ecm_mark_nongui_executable(kdesvnaskpass)
 
 ki18n_wrap_ui(kdesvn_ui
     urldlg.ui
@@ -29,6 +33,23 @@
     main.cpp
     urldlg.cpp
 )
+
+# Sets the icon on Windows and OSX
+find_program(KSVG2ICNS NAMES ksvg2icns)
+if(APPLE AND KSVG2ICNS)
+    execute_process(COMMAND ${KSVG2ICNS} "${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kdesvn.svgz"
+         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} RESULT_VARIABLE KSVG2ICNS_ERROR)
+    if(${KSVG2ICNS_ERROR})
+        message(SEND_ERROR "Could not generate OS X application icon")
+    else()
+        set(MACOSX_BUNDLE_ICON_FILE sc-apps-kdesvn.icns)
+        set(kdesvnsrc "${kdesvnsrc};${CMAKE_CURRENT_BINARY_DIR}/sc-apps-kdesvn.icns")
+        set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/sc-apps-kdesvn.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
+    endif()
+else()
+    file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kdesvn.png")
+    ecm_add_app_icon(kdesvnsrc ICONS ${ICONS_SRCS})
+endif()
 
 set(partsrc
     commandline_part.cpp
@@ -79,12 +100,13 @@
 )
 
 install(TARGETS kdesvn kdesvnaskpass kdesvnpart
-    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+    ${INSTALL_TARGETS_DEFAULT_ARGS}
     LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR})
 
 # the resources
 install(FILES kdesvnui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdesvn)
 install(FILES kdesvn_part.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdesvn)
-install(FILES org.kde.kdesvn.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+install(FILES org.kde.kdesvn.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+install(FILES org.kde.kdesvn.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES kdesvnpart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
 install(FILES kdesvn.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kdesvn)
