=== debian/changelog ===
kdesvn (2.1.0-2) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default
      behaviour now
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Stop shipping TODO as documentation, as it is not useful for users.
  * Add the configuration for the CI on salsa.
  * Remove the empty dh_auto_test override, as there are no tests.
  * Switch the watch file to version 4, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update lintian overrides.
  * Backport upstream commit f80abcaa59535bb4fa730621d994ed89af4d9e92 to fix
    the order of <release> tags in the AppStream XML file; patch
    upstream_appstream-sort-releases-from-newer-to-older.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 22 Oct 2021 09:19:43 +0200

kdesvn (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - 0001-Make-sure-the-man-pages-are-built-and-installed.patch: drop, no
      more needed now (translations are built properly)
    - 0002-Fix-startup-s-caption-qwindowtitle.patch: drop, backported from
      upstream
    - upstream_Fix-compilation-with-Qt-5.11-missing-include.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - add libkf5codecs-dev, libkf5completion-dev, libkf5jobwidgets-dev,
      libkf5textwidgets-dev, and libkf5xmlgui-dev
    - remove libkf5texteditor-dev
    - bump qtbase5-dev to >= 5.9.0
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the migration from kdesvn-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Mon, 22 Jul 2019 06:52:21 +0200

kdesvn (2.0.0-5) unstable; urgency=medium

  * Team upload.
  * Switch Vcs-* fields to salsa.debian.org.
  * Backport upstream commit f4ec3ee6da0efeea7a62a6ea3a892ac4bb374182 to fix
    build with Qt >= 5.11; patch
    upstream_Fix-compilation-with-Qt-5.11-missing-include.patch.
    (Closes: #907229)
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces, and newlines at the end in changelog.
  * Switch from dh_install --list-missing to dh_missing --fail-missing.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 14:08:10 +0200
