=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.10.0),
                gettext,
                libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
@@ -15,19 +17,22 @@
                libkf5i18n-dev,
                libkf5iconthemes-dev,
                libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
                libkf5kio-dev,
                libkf5notifications-dev,
                libkf5parts-dev (>= 5.25.0),
                libkf5service-dev,
-               libkf5texteditor-dev,
+               libkf5textwidgets-dev,
                libkf5wallet-dev,
                libkf5widgetsaddons-dev,
+               libkf5xmlgui-dev,
                libsvn-dev (>= 1.6.0),
                pkg-kde-tools (>= 0.9),
-               qtbase5-dev
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kdesvn/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kdesvn/trunk/
+               qtbase5-dev (>= 5.9.0),
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdesvn.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdesvn
 Homepage: https://projects.kde.org/projects/extragear/sdk/kdesvn
 
 Package: kdesvn
