=== debian/watch ===
version=4
https://download.kde.org/stable/kdesvn/([\d.]+)/kdesvn-([\d.]+)\.tar\.xz
